DSA_RFC6979< H > Struct Template Reference

DSA deterministic signature scheme. More...

`#include <gfpcrypt.h>`

Inheritance diagram for DSA_RFC6979< H >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_DSA_RFC6979< Integer, H >, DL_SignatureMessageEncodingMethod_DSA, H, DSA_RFC6979< H > >
static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Types inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_DSA_RFC6979< Integer, H >, DL_SignatureMessageEncodingMethod_DSA, H, DSA_RFC6979< H > >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_SignatureKeys_GFP
typedef DL_GroupParameters_GFP | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Detailed Description

template<class H>
struct DSA_RFC6979< H >

DSA deterministic signature scheme.

Template Parameters

  H | HashTransformation derived class

See also
  DSA-1363

Since
  Crypto++ 1.0 for DSA, Crypto++ 5.6.2 for DSA2

Definition at line 840 of file gfpcrypt.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class H >

static std::string DSA_RFC6979< H >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 847 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h